%define	name	sysctlconfig
%define	version	0.15
%define	release	5mdk

Summary:	A configuration tool for operating system tunable parameters
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Kernel and hardware
URL:		http://www.redhat.de/
Source0:	%{name}-%{version}.tar.bz2
Source1:	sysctlconfig-gtk.png.bz2
Patch0:		sysctlconfig-0.15-gcc34.diff.bz2
ExcludeArch:	ia64
BuildPrereq:	gtk+-devel
BuildPrereq:	gtk+
BuildPrereq:	libxml-devel
BuildPrereq:	chrpath
Requires:	procps
Requires:	usermode
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
sysctl-config is a tool for configuring operating system tunable
parameters. It eases modifying /etc/sysctl.conf.

%prep

%setup -q 
%patch0 -p0

%build

%configure2_5x

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall

%find_lang %{name}

install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_iconsdir}
install -d %{buildroot}%{_sysconfdir}/security/console.apps
install -d %{buildroot}%{_sysconfdir}/X11/applnk/System
install -d %{buildroot}%{_sysconfdir}/pam.d
install -d %{buildroot}%{_libdir}/menu

mv %{buildroot}%{_bindir}/sysctlconfig-gtk %{buildroot}%{_sbindir}/sysctlconfig-gtk

bzcat %{SOURCE1} > %{buildroot}%{_iconsdir}/sysctlconfig-gtk.png
rm -f %{buildroot}%{_iconsdir}/*.xpm

cat > %{buildroot}/%{_sysconfdir}/pam.d/sysctlconfig-gtk <<EOF
#%PAM-1.0
auth       sufficient   pam_rootok.so
auth       required     pam_stack.so service=system-auth
session    optional     pam_xauth.so
account    required     pam_permit.so
EOF

cat > %{buildroot}/%{_sysconfdir}/security/console.apps/sysctlconfig-gtk <<EOF
USER=root
FALLBACK=true
PROGRAM=%{_sbindir}/sysctlconfig-gtk
SESSION=true
EOF

cat > %{buildroot}%{_sysconfdir}/X11/applnk/System/sysctlconfig.desktop << EOF
[Desktop Entry]
Name=Proc Configuration
Comment=A tool for tuning kernel parameters
Exec=%{_sbindir}/sysctlconfig-gtk
Icon=sysctlconfig-gtk.png
Terminal=0
Type=Application
EOF

# fix menu stuff...

# install menu entry.
cat <<EOF > %{buildroot}%{_libdir}/menu/%{name}
?package(%{name}): \
needs="X11" \
section="Configuration/Hardware" \
title="Proc Configuration" \
longtitle="A tool for tuning kernel parameters." \
command="%{_sbindir}/sysctlconfig-gtk" \
icon="sysctlconfig-gtk.png"
EOF

# nuke rpath
chrpath -d %{buildroot}%{_sbindir}/*

%post
%{update_menus}

%postun
%{clean_menus}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-, root,root)
%doc AUTHORS ChangeLog INSTALL README TODO
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/pam.d/sysctlconfig-gtk
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/security/console.apps/sysctlconfig-gtk
%config(noreplace) %{_sysconfdir}/X11/applnk/System/sysctlconfig.desktop
%{_sbindir}/sysctlconfig-gtk
%{_iconsdir}/*.png
%{_datadir}/sysctlconfig/*
%{_libdir}/menu/%{name}

%changelog
* Thu May 12 2005 Oden Eriksson <oeriksson@mandriva.com> 0.15-5mdk
- added one gcc34 fix

* Sun May 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.15-4mdk
- lib64 fixes, fix deps, use macros, nuke rpath

* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.15-3mdk
- misc spec fixes

* Mon May 20 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.15-2mdk
- rebuilt with gcc3.1

* Thu Apr  4 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.15-1mdk
- boldly ripped from RedHat and adapted to ML

* Mon Mar 25 2002 Harald Hoyer <harald@redhat.de>
- more descriptive text in .desktop (#61806)

* Tue Jan 29 2002 Harald Hoyer <harald@redhat.de>
- more buildprereq

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Jul 23 2001 Harald Hoyer <harald@redhat.com>
- removed vm.freepages (#49529)
- removed ncurses-devel dependency (#49710)

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Fri Apr 06 2001 Harald Hoyer <harald@redhat.com>
- added /usr/share/icons to the filelist #34915
- no more values, that do not exist in the current kernel #34924

* Tue Feb 06 2001 Harald Hoyer <harald@redhat.com>
- added german translation
- added RAID settings
- fixed some Makefile.am issues
- added /usr/share/sysctlconfig (#26229)
- fixed lang tags in the spec file

* Fri Jan 05 2001 Yukihiro Nakai <ynakai@redhat.com>
- Gettextized.

* Thu Jan 04 2001 Yukihiro Nakai <ynakai@redhat.com>
- Add Japanese entry to .desktop

* Wed Nov 15 2000 Harald Hoyer <harald@redhat.com>
- excluded IA64

* Tue Nov 11 2000 Harald Hoyer <harald@redhat.com>
- fixed multivalue problems (bdflush)

* Tue Oct 10 2000 Harald Hoyer <harald@redhat.com>
- fixed apply and save procedures

* Wed Sep 06 2000 Harald Hoyer <harald@redhat.com>
- changed bdflush ranges

* Fri Aug 04 2000 Harald Hoyer <harald@redhat.com>
- added tcp_syncookies

* Sun Jul 16 2000 Harald Hoyer <harald@redhat.com>
- removed iopl check
- corrected symlink
- depends on usermode now

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jul  3 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- adjust to new API

* Mon Jun 19 2000 Than Ngo <than@redhat.de>
- add %%defattr

* Mon Jun 19 2000 Harald Hoyer <harald@redhat.com>
- ExclusiveArch: i386 i486 i586 i686
- ExcludeArch: ia64 sparc alpha

* Mon Jun 19 2000 Harald Hoyer <harald@redhat.com>
- removed -Werror
- updated for rhclib-18

* Thu Jun 15 2000 Harald Hoyer <harald@redhat.com>
- first real version

* Fri Jun 09 2000 Harald Hoyer <harald@redhat.com>
- initial version
